> For the complete documentation index, see [llms.txt](https://docs.scrt.network/secret-network-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scrt.network/secret-network-documentation/secretvm-confidential-virtual-machines/attestation/amd-sev-snp-attestation-report-key-fields.md).

# AMD SEV-SNP Attestation Report - Key Fields

An AMD SEV-SNP **Attestation Report** contains several cryptographic measurements that prove the integrity of the Confidential Virtual Machine. These values are generated during the boot process and serve as a **verifiable fingerprint** of the system state.

#### Attestation Report Structure

An SEV-SNP attestation report contains measurements, policy constraints, and platform state, all covered by a cryptographic signature.

Below are the key fields and their meaning.

<table><thead><tr><th width="208.7109375">Field</th><th>Description</th></tr></thead><tbody><tr><td>version</td><td>Report format version. Defines how the rest of the report should be interpreted.</td></tr><tr><td>guest_svn</td><td>Security Version Number - monotonically increasing version number of the guest image. Used for rollback protection.</td></tr><tr><td>chip_id</td><td>A unique 64-byte identifier that represents the specific AMD physical processor (CPU) chip on which the SEV-SNP guest is currently running</td></tr><tr><td>family_id</td><td>A string representing the SecretVM type and size (e.g. prod-small-sev)</td></tr><tr><td>image_id</td><td>A string showing the version of SecretVM artifacts that the machine is running (e.g. v0.0.24)</td></tr><tr><td>measurement</td><td>Contains measurements of all the components of the VM, hashed consecutively: firmware, kernel, kernel commandline, initial RAM FS, Root FS, the docker-compose.yaml and (optionally) the dockerfiles.tar archive.<br>The measurement field essentially defines the identity of the SecretVM</td></tr><tr><td>report_data</td><td>A special field that concatenates:<br>- The <strong>fingerprint of the TLS certificate</strong> generated on the VM<br>- The <strong>nonce of the GPU Attestation Quote</strong> (for GPU-enabled machines only).</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/secretvm-confidential-virtual-machines/attestation/amd-sev-snp-attestation-report-key-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
